Subject: Re: Canonical mode problem with v1.0
From: Christopher Faylor <[email-masked]>
To: [email-masked]
Cc: [email-masked], [email-masked]
Date: Thu, 13 Jan 2000 15:11:25 -0500

On Thu, Jan 13, 2000 at 02:11:16PM -0500, [email-masked] wrote:
>     Regarding your suggestion about Cygwin 1.0 DLL:
>
>ls -l /bin/cygwin1.dll gives:
>-rw-r--r--   1 jgrishaw None       804728 Sep 13 22:15 /bin/cygwin1.dll
>
>There are no other cygwin1.dll's on my hard drive.
>
>My $PATH is set to:
>//D/grishaw/bin:/bin:/contrib/bin:/usr/i686-cygwin/bin:/usr/local/bin:/usr/local/bin/X11:/usr/X11R6/bin:/usr/lib/gcc-lib/i686-cygwin/2.9-cygwin-990830://D/ModelTech/win32://C/WINNT/SYSTEM32://C/WINNT
>
>stty -a yields:
>speed 38400 baud; rows 65; columns 80; line = 0;
>intr = ^C; quit = ^\; erase = ^H; kill = ^U; eof = ^D; eol = <undef>;
>eol2 = <undef>; start = ^Q; stop = ^S; susp = ^Z; rprnt = ^R; werase = ^W;
>lnext = ^V; flush = ^O; min = 1; time = 0;
>-parenb -parodd cs8 -hupcl -cstopb cread -clocal -crtscts
>-ignbrk brkint -ignpar -parmrk -inpck -istrip -inlcr -igncr icrnl ixon -ixoff
>-iuclc -ixany -imaxbel
>opost -olcuc -ocrnl onlcr -onocr -onlret -ofill -ofdel nl0 cr0 tab0 bs0 vt0 ff0
>isig icanon iexten echo -echoe -echok -echonl -noflsh -tostop -echoctl -echoke
>
>(notice "icanon")
>
>And yet backspace does not work when I run sh.exe, or cat > /dev/null,
>or dc, etc, etc, etc.
>
>     I'm stumped.  Please offer any suggestions for where to look for the
>problem.

I have no other suggestions.  You could try running cygcheck -r -s -v and
see if anything obvious is reported.  Otherwise, you could compare notes
with anyone else who has seen this problem.

Can anyone else, try this with their version of the Cygwin CD and report
their findings?

cgf

--
Want to unsubscribe from this list?
Send a message to [email-masked]